export interface iApplicationDeterminationData {
    //Application Details
    pactApplicationId?: number;
    referralDate: string;
    siteId?: number;
    applicationType?: number;
    applicationTypeDescription: string;
    pactClientId?: number;
    capsAssessmentId?: number;
    capsClientId?: number;
    applicationCreatedDate: string;
    applicationTransmittedDate: string;
    applicationTransmittedBy?: number;
    applicationTransmittedByName: string;
    supportiveHousingType: string;
    //Site Details
    siteNumber: string;
    siteName: string;
    siteType: string;
    siteTypeDescription: string;
    //Agency Details
    agencyNumber: string;
    agencyName: string;
    agencyType: string;
    agencyTypeDescription: string;
    //Demographic Details
    demographicFirstName: string;
    demographicLastName: string;
    demographicAKAFirstName: string;
    demographicAKALastName: string;
    demographicSSN: string;
    demographicDOB: string;
    demographicAge?: number;
    demographicGenderType?: number;
    demographicGenderDescription: string;
    demographicCIN: string;
    //PACT Client Details
    clientFirstName: string;
    clientLastName: string;
    clientAKAFirstName: string;
    clientAkaLastName: string;
    clientSSN: string;
    clientDOB: string;
    clientAge?: number;
    clientGenderType?: number;
    clientGenderDescription: string;
    clientCIN: string;
    //DHS Client Details
    dhsClientID?: number;
    dhsFirstName: string;
    dhsLastName: string;
    dhsdob: string;
    dhsAge?: number;
    dhsGenderType?: number;
    dhsGenderDescription: string;
    dhsssn: string;
    //HASA Client Details
    hasaClientID?: number;
    hasaFirstName: string;
    hasaLastName: string;
    hasadob: string;
    hasaAge: number;
    hasaGenderType?: number;
    hasaGenderDescription: string;
    hasassn: string;
    isActiveHasaCase: string;
    isCurrentlyInShelter: string;
    //Clinical Pre Determination Details
    clinicalPreDeterminationOutcomeType?: number;
    clinicalPreDeterminationOutcomeTypeDescription: string;
    clientCategoryType?: number;
    clientCategoryTypeDescription: string;
    approvedSHApplicationPast5YearsType?: number;
    approvedSHApplicationPast5YearsTypeDescription: string;
    haveSMIDiagnosisType?: number;
    haveSMIDiagnosisTypeDescription: string;
    hasUsedSubstancesPast3MonthsType?: number;
    hasUsedSubstancesPast3MonthsTypeDescription: string;
    hasHospitalizedPast3YearsType?: number;
    hasHospitalizedPast3YearsTypeDescription: string;
    supportNotOfferedByGenPopType?: number;
    supportNotOfferedByGenPopTypeDescription: string;
    //Determination Outcome
    reasonToWithdrawType?: number;
    reasonToWithdrawTypeDescription: string;
    withdrawReasonCodeType?: number;
    withdrawReasonCodeTypeDescription: string;
    reasonToRejectType?: number;
    reasonToRejectTypeDescription: string;
    vulnerabilityType?: number;
    vulnerabilityTypeDescription: string;
    hudType?: number;
    hudTypeDescription: string;
    mrtType?: number;
    mrtTypeDescription: string;
    housingType?: number;
    housingTypeDescription: string;
    letterComment: string;
    approvalStatusType?: number;
    approvalStatusTypeDescription: string;
    disapprovalReasonType?: number;
    disapprovalReasonTypeDescription: string;
    determinationDate: string;
    reviewer?: number;
    reviewerName: string;
    approvalFrom: string;
    approvalTo: string;
    //Case Assginment
    caseAssignedTo?: number;
    caseStatusType?: number;
    //Tab Completion
    isMatchSummaryTabCompleted?: boolean;
    isHousingProgramMatchTabCompleted?: boolean;
    isDHSMatchTabCompleted?: boolean;
    isHASAMatchTabCompleted?: boolean;
    isMedicaidMatchTabCompleted?: boolean;
    isSTARSMatchTabCompleted?: boolean;
    isApplicationTabCompleted?: boolean;
    isSupportingDocumentsTabCompleted?: boolean;
    isCaseNotesTabCompleted?: boolean;
    isCoordinatedAssessmentSurveyTabCompleted?: boolean;
    isPriorApplicationsDeterminationsTabCompleted?: boolean;
    isClientDocumentsTabCompleted?: boolean;
    isVCSReferralsTabCompleted?: boolean;
    isVCSPlacementsTabCompleted?: boolean;
    isVPSReferralsTabCompleted?: boolean;
    isApplicationOutcomeTabCompleted?: boolean;
    isAdministrativeRejectTabCompleted?: boolean;
    isClinicalPreDeterminationTabCompleted?: boolean;
    isApplicationDeterminationLetterTabCompleted?: boolean;
    isMentalHealthConditionTabCompleted?: boolean;
    isSubstanceUseTabCompleted?: boolean;
    isMedicalConditionsTabCompleted?: boolean;
    isClinicalAtRiskTabCompleted?: boolean;
    isClinicalSummaryTabCompleted?: boolean;
    isHousingHomelessTabCompleted?: boolean;
    isHomeless1To4YearsTabCompleted?: boolean;
    isResidentialTreatmentAndInstitutionalHistoryTabCompleted?: boolean;
    isHomelessAtRiskTabCompleted?: boolean;
    isHomelessSummaryTabCompleted?: boolean;
    isHousingHomelessReportTabCompleted?: boolean;
    isMedicaidClaimsTabCompleted?: boolean;
    isMedicaidPrioritizationTabCompleted?: boolean;
    isActivitiesOfDailyLivingTabCompleted?: boolean;
    isSVAReviewTabCompleted?: boolean;
    isVulnerabilityAssessmentTabCompleted?: boolean;
    isSVASummaryReportTabCompleted?: boolean;
    isDeterminationSummaryTabCompleted?: boolean;
    isConditionsRecommendationsTabCompleted?: boolean;
    isDeterminationLetterTabCompleted?: boolean;
    isSignOffTabCompleted?: boolean;
    isFollowUpTabCompleted?: boolean;
}
